Virtual Account Balance History
curl --request GET \
--url https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-account/balance-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-account/balance-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-account/balance-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "bbbb2222-cccc-3333-dddd-444444444444",
"virtualAccountId": "9d6be39e-9465-4d67-a05a-4b366352bd64",
"merchantId": "301f0991-8f7c-4501-a1d4-c317fe7b7f23",
"inboundCreditId": "70d9370e-62ad-4b97-a024-862feee88541",
"sessionId": "000004260908165208000000591000",
"paymentReference": "INV-2026-1044",
"accountNumber": "7600000035",
"creditAmount": 130,
"previousBalance": 0,
"newBalance": 130,
"feeAmount": 0.39,
"previousFeeBalance": 0,
"newFeeBalance": 0.39,
"currency": "KES",
"creditStatus": "SUCCESSFUL",
"attributionStatus": "ATTRIBUTED",
"originatorAccountName": "JANE WANJIKU",
"originatorAccountNumber": "2547*****890",
"narration": "7600000035 INV-2026-1044",
"creditedAt": "2026-09-08T16:52:08.000Z",
"createdAt": "2026-09-09T07:52:21.054Z"
}
]Virtual Accounts
Virtual Account Balance History
GET
https://vas.finpaytech.co/business-api
/
api
/
v1
/
merchants
/
me
/
virtual-account
/
balance-history
Virtual Account Balance History
Authorizations
Access token from POST /api/v1/auth/login
Response
200 - application/json
OK